import * as defaultTheme from 'tailwindcss/defaultTheme';

export const tailwindColors = {
  ...defaultTheme.colors,
  entity: {
    // https://www.tailwindshades.com/#color=29.41176470588235%2C100%2C50&step-up=8&step-down=8&hue-shift=5&name=flush-orange&base-stop=6&v=1&overrides=e30%3D
    DEFAULT: '#FF7D00',
    0: '#FFFAF9',
    50: '#FFF3E6',
    100: '#FFE7CC',
    200: '#FFD3A3',
    300: '#FFBF7A',
    400: '#FFA952',
    500: '#FF9429',
    600: '#FF7D00', // primary
    700: '#D66700',
    800: '#AD5200',
    900: '#853E00',
    950: '#703400',
  },
  relation: {
    //https://www.tailwindshades.com/#color=207.97297297297297%2C62.184873949579824%2C46.666666666666664&step-up=9&step-down=10&hue-shift=0&name=mariner&base-stop=6&v=1&overrides=e30%3D
    DEFAULT: '#2D7CC1',
    50: '#EFF6FB',
    100: '#DDEBF7',
    200: '#B7D5EE',
    300: '#92BFE6',
    400: '#6DA9DD',
    500: '#4893D4',
    600: '#2D7CC1',
    700: '#236198',
    800: '#1A476E',
    900: '#102C45',
    950: '#0B1F30',
  },
  line: {
    100: '#dee9f0',
    300: '#ccd6dc',
  },
  logic: {
    DEFAULT: '#A36A30',
    50: '#FBF6F1',
    100: '#F5E9DD',
    200: '#E9D0B6',
    300: '#DEB68E',
    400: '#D29D67',
    500: '#C7843F',
    600: '#A36A30',
    700: '#7C5024',
    800: '#543719',
    900: '#2D1D0D',
    950: '#191007',
  },
  offwhite: {
    DEFAULT: '#F7F9FA',
    100: '#F7F9FA',
    200: '#f4f6f7',
    300: '#d4dce1',
  },
  custom: {
    nodes: [
      '#181520', // black
      '#d49350', // orange
      '#1e9797', // blue
      '#d56a50', // red
      '#800000',
      '#fabed4',
      '#808000',
      '#ffe119',
      '#bfef45',
      '#3cb44b',
      '#42d4f4',
      '#000075',
      '#4363d8',
      '#911eb4',
      '#dcbeff',
      '#f032e6',
      '#a9a9a9',
      '#2d7c0b',
      '#00ff00',
      '#0000ff',
    ],
  },
};
